Please deploy Loop-Client 0.9.0 code to production

VERIFIED FIXED

Status

Cloud Services
Operations: Deployment Requests
VERIFIED FIXED
4 years ago
4 years ago

People

(Reporter: standard8, Unassigned)

Tracking

unspecified
Points:
---
Bug Flags:
qe-verify +

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
We'd like to deploy the loop-client 0.9.0 release to production with configuration updates

https://github.com/mozilla/loop-client/releases/tag/0.9.0

Configuration changes. The following lines need adding within the 'loop.config object':

  loop.config.brandWebsiteUrl: 'https://www.mozilla.org/firefox/',
  loop.config.privacyWebsiteUrl: 'https://www.mozilla.org/privacy',
  loop.config.legalWebsiteUrl: '/legal/terms',
  loop.config.marketplaceUrl: 'https://marketplace.firefox.com/iframe-install.html',
  loop.config.fxosApp: {
   name: 'Firefox Hello',
   manifestUrl: 'https://marketplace.firefox.com/app/54b83aea-1208-4605-82eb-22819f39d81d/manifest.webapp'
  },

(The latter 4 are from bug 1086257).

Please make sure the json is valid.

Obviously to be done once stage is deployed (in bug 1087836) and verified.
(Reporter)

Comment 1

4 years ago
(In reply to Mark Banner (:standard8) from comment #0)
>   loop.config.legalWebsiteUrl: '/legal/terms',

Correction, the value should be '/legal/terms/' (with the extra slash).
OK. NOW we can move forward...
Status: NEW → ASSIGNED
Flags: qe-verify+

Comment 3

4 years ago
This has been deployed.
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Verifying server-side stuff right now.
But we definitely need the client team to verify the FxOS changes and general functionality.
Tagging Maire and Mark to start things off...
Flags: needinfo?(standard8)
Flags: needinfo?(mreavy)
Quick checks show the following:
https://call.mozilla.com
returns
Welcome to the Firefox Hello web client.

https://call.mozilla.com/VERSION.txt
0.9.0
66e289a80c8792f8afcab09708e9fe2bc9e7b44f Thu, 23 Oct 2014 21:41:22 +0100

https://call.mozilla.com/config.js
returns
var loop = loop || {};
loop.config = {
...etc...
bunch of correct stuff
};


https://call.mozilla.com/legal/terms/
Gives me the terms of service page in the browser
the TOS dated June 30, 2014


curl https://call.mozilla.com/
returns a page of HTML


curl -I https://call.mozilla.com/
HTTP/1.1 200 OK
Accept-Ranges: bytes
Content-length: 2499
Content-Type: text/html
Date: Fri, 24 Oct 2014 16:31:02 GMT
ETag: "54496a7b-9c3"
Last-Modified: Thu, 23 Oct 2014 20:52:11 GMT
Vary: Accept-Encoding
Connection: keep-alive


So, I think this deployed correctly to Production with the correct final FxOS values.
I just need the client team to do their thing before marking this Verified.
(Reporter)

Comment 6

4 years ago
I've done a couple of checks to ensure the client works. Also double-checked the fxos config values do what is expected.

Also xref bug 1086257 comment 13 and 14.
Flags: needinfo?(standard8)
Flags: needinfo?(mreavy)
OK. Great.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.